Page MenuHomePhabricator

fastannotate: use `get_unique_pull_path`
ClosedPublic

Authored by marmoute on Apr 14 2021, 7:38 PM.

Details

Summary

The code does not support multiple destination yet, so lets move it to the
dedicated API.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 14 2021, 7:38 PM
pulkit added a subscriber: pulkit.Apr 15 2021, 11:11 AM
pulkit added inline comments.
hgext/fastannotate/protocol.py
158

Hm, missing b'' prefix here IIUC.

marmoute added inline comments.Apr 16 2021, 4:47 AM
hgext/fastannotate/protocol.py
158

good catch, sending an update.

marmoute updated this revision to Diff 26967.Apr 16 2021, 4:52 AM
pulkit accepted this revision.Apr 17 2021, 4:49 PM
This revision is now accepted and ready to land.Apr 17 2021, 4:49 PM
This revision was automatically updated to reflect the committed changes.